> ## Documentation Index
> Fetch the complete documentation index at: https://kliio.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Invoice

> Retrieves a single invoice by ID.

### Headers

<ParamField header="Authorization" type="string" required>
  `Bearer YOUR_API_KEY`
</ParamField>

### Path Parameters

<ParamField path="id" type="string" required>
  UUID of the invoice to retrieve.
</ParamField>

### Response

<ResponseField name="data" type="object">
  The invoice object, including embedded `client` and `project`.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://kliio.app/api/v1/invoices/inv-uuid-... \
    -H "Authorization: Bearer YOUR_API_KEY"
  ```

  ```js JavaScript theme={null}
  const res = await fetch('https://kliio.app/api/v1/invoices/inv-uuid-...', {
    headers: { Authorization: 'Bearer YOUR_API_KEY' }
  })
  const { data } = await res.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "id": "inv-uuid-...",
      "invoice_number": "INV-0042",
      "amount": 1500.00,
      "currency": "USD",
      "status": "Sent",
      "due_date": "2025-04-30",
      "tax_rate": 0,
      "description": "Website redesign",
      "line_items": null,
      "client": {
        "id": "c1d2e3f4-...",
        "name": "Alice Johnson",
        "email": "alice@example.com",
        "company_name": "Acme Corp"
      },
      "project": null,
      "created_at": "2025-03-15T10:30:00.000Z"
    }
  }
  ```

  ```json 404 theme={null}
  {
    "error": "Invoice not found"
  }
  ```
</ResponseExample>
